/*

    	    	    Definitions

*/

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <assert.h>
#include <string.h>
#include <time.h>
#include <ctype.h>
#include <math.h>
#include <sys/types.h>
#include <sys/timeb.h>
#define _GNU_SOURCE
#include <getopt.h>

#define FALSE	0
#define TRUE	1

#define abs(x) ((x) < 0 ? (-(x)) : (x))     	    /* Absolute value */
#define min(x, y) ((x) < (y) ? (x) : (y))   	    /* Minimum */
#define max(x, y) ((x) > (y) ? (x) : (y))   	    /* Maximum */

/*  Determine number of elements in an array  */

#define ELEMENTS(array) (sizeof(array)/sizeof((array)[0]))

#define MAX_STAR_CLUSTERS	10	/* Maximum star clusters in star fields */

/*	From FORGE.C	    */

extern void create_ppm(FILE *fo);

/*	From SPECREND.C     */

extern void black_body_rgb(const double temperature, double *r, double *g, double *b);
